Attribute VB_Name = "HTMLHelp"

'Portions of this code courtesy of David Liske.
'Thanks to Matthew Brown for writing this code

Type HH_IDPAIR
  dwControlId As Long
  dwTopicId As Long
End Type

'This array should contain the number of controls that have
'context-sensitive help, plus one more for a zero-terminating
'pair.

Public ids(2) As HH_IDPAIR

Declare Function GetDlgCtrlID Lib "user32" _
  (ByVal hwnd As Long) As Long

Declare Function HTMLHelp Lib "hhctrl.ocx" Alias "HtmlHelpA" _
         (ByVal hwndCaller As Long, ByVal pszFile As String, _
         ByVal uCommand As Long, ByVal dwData As Long) As Long
         
Declare Function HTMLHelpTopic Lib "hhctrl.ocx" Alias "HtmlHelpA" _
         (ByVal hwndCaller As Long, ByVal pszFile As String, _
         ByVal uCommand As Long, ByVal dwData As String) As Long
         

     Private Const HH_DISPLAY_TOC = &H1        ' Special thanks to D.L. for providing
      
     Private Const HH_DISPLAY_INDEX = &H2
      
     Private Const HH_DISPLAY_SEARCH = &H3

     Private Const HH_DISPLAY_TOPIC = &H0
      
     Private Const HH_SET_WIN_TYPE = &H4
      
     Private Const HH_GET_WIN_TYPE = &H5
      
     Private Const HH_GET_WIN_HANDLE = &H6

     Private Const HH_DISPLAY_TEXT_POPUP = &HE      ' Display string resource ID or
                                                    ' text in a pop-up window.
     Private Const HH_HELP_CONTEXT = &HF            ' Display mapped numeric value indwData.
     
     Private Const HH_TP_HELP_CONTEXTMENU = &H10    ' Text pop-up help, similar to
                                                    ' WinHelp's HELP_CONTEXTMENU.
     Private Const HH_TP_HELP_WM_HELP = &H11        ' text pop-up help, similar to
                                                    ' WinHelp's HELP_WM_HELP.


Public Function SetHelpStrings(ByVal intSelHelpFile As Integer) As String
  ' Set the string variable to
  ' include the application path
  Select Case intSelHelpFile
  Case 1
    SetHelpStrings = App.Path & "\test.chm"
  Case 2
    ' Place other Help file paths in successive Case statements
  End Select
End Function


Public Sub ZeigeInhalt(ByVal intHelpFile As Integer)
 
    HTMLHelp hwnd, SetHelpStrings(intHelpFile), HH_DISPLAY_TOC, 0

End Sub

Public Sub ZeigeIndex(ByVal intHelpFile As Integer)
 
    HTMLHelp hwnd, SetHelpStrings(intHelpFile), HH_DISPLAY_INDEX, 0

End Sub

Public Sub ZeigeHelpTopic(ByVal intHelpFile As Integer, strTopic As String)
 
    HTMLHelpTopic hwnd, SetHelpStrings(intHelpFile), HH_DISPLAY_TOPIC, strTopic
  
End Sub

Public Sub ZeigeTopicId(ByVal intHelpFile As Integer, IdTopic As Long)
  
  HTMLHelp hwnd, SetHelpStrings(intHelpFile), HH_HELP_CONTEXT, IdTopic
  
End Sub





